gRPC C#
gRPC C#
Namespaces
Grpc.Core
AsyncDuplexStreamingCall(TRequest, TResponse) Class
AsyncDuplexStreamingCall(TRequest, TResponse) Properties
AsyncDuplexStreamingCall(TRequest, TResponse) Methods

AsyncDuplexStreamingCall TRequest, TResponse Class

Return type for bidirectional streaming calls.
Inheritance Hierarchy
System
Object
Grpc.Core
AsyncDuplexStreamingCall
TRequest, TResponse

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public sealed class AsyncDuplexStreamingCall<TRequest, TResponse> : IDisposable

    Public NotInheritable Class AsyncDuplexStreamingCall(Of TRequest, TResponse)
    	Implements IDisposable

    generic<typename TRequest, typename TResponse>
    public ref class AsyncDuplexStreamingCall sealed : IDisposable

    [<SealedAttribute>]
    type AsyncDuplexStreamingCall<'TRequest, 'TResponse> =
        class
            interface IDisposable
        end

#### Type Parameters

TRequest
  Request message type for this call.
TResponse
  Response message type for this call.

The AsyncDuplexStreamingCall
TRequest, TResponse
type exposes the following members.

Properties

| Name | Description
--- | --- | ---
| RequestStream | Async stream to send streaming requests.
| ResponseHeadersAsync | Asynchronous access to response headers.
| ResponseStream | Async stream to read streaming responses.

Top
Methods

| Name | Description
--- | --- | ---
| Dispose | Provides means to cleanup after the call. If the call has already finished normally (request stream has been completed and response stream has been fully read), doesn't do anything. Otherwise, requests cancellation of the call which should terminate all pending async operations associated with the call. As a result, all resources being used by the call should be released eventually.
| Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
| GetHashCode | Serves as the default hash function. (Inherited from Object.)
| GetStatus | Gets the call status if the call has already finished. Throws InvalidOperationException otherwise.
| GetTrailers | Gets the call trailing metadata if the call has already finished. Throws InvalidOperationException otherwise.
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
See Also

#### Reference

Grpc.Core Namespace